# frozen_string_literal: true

module Izokatu
  # Izokatu exporter for exporting data in STDOUT
  class StdoutExporter < Izokatu::Exporter
    Contract None => Contracts::HashOf[Symbol, Maybe[String]]
    # Performing export of initialized data
    #
    # @return [Hash] exported data
    #
    # @since 0.1.0
    def perform
      data.each do |_k, v|
        puts v
      end
    end
  end
end
